aboutsummaryrefslogtreecommitdiff
path: root/usr.sbin/bsdinstall
diff options
context:
space:
mode:
authorGlen Barber <gjb@FreeBSD.org>2013-11-06 15:49:31 +0000
committerGlen Barber <gjb@FreeBSD.org>2013-11-06 15:49:31 +0000
commit4ae21ddc1da004ad50fccc769c0c4123e54b968a (patch)
treeee6b51e5438185943f9f39a9eb01f4fabebe85b9 /usr.sbin/bsdinstall
parent415fd8a3dcc143b6feda4e6a24b821894ae3da11 (diff)
downloadsrc-4ae21ddc1da004ad50fccc769c0c4123e54b968a.tar.gz
src-4ae21ddc1da004ad50fccc769c0c4123e54b968a.zip
Notes
Diffstat (limited to 'usr.sbin/bsdinstall')
-rwxr-xr-xusr.sbin/bsdinstall/scripts/docsinstall11
1 files changed, 9 insertions, 2 deletions
diff --git a/usr.sbin/bsdinstall/scripts/docsinstall b/usr.sbin/bsdinstall/scripts/docsinstall
index e16116c62623..46d731f248fc 100755
--- a/usr.sbin/bsdinstall/scripts/docsinstall
+++ b/usr.sbin/bsdinstall/scripts/docsinstall
@@ -59,7 +59,7 @@ NB: This requires a working, configured network connection." 0 0 0 \
test $? -eq 0 || exit 0
exec 3>&-
-# Let pkg_add be able to use name servers
+# Let pkg(8) be able to use name servers
cp ${BSDINSTALL_TMPETC}/resolv.conf ${BSDINSTALL_CHROOT}/etc
error() {
@@ -74,6 +74,13 @@ echo "FreeBSD Installer"
echo "========================"
echo
+echo "Please wait while the repository metadata is fetched."
+echo "This may take a few moments."
+
+env ASSUME_ALWAYS_YES=1 pkg -c ${BSDINSTALL_CHROOT} install pkg \
+ || error pkg
+
for i in $DOCS; do
- pkg_add -C ${BSDINSTALL_CHROOT} -r ${i}-freebsd-doc || error $i-freebsd-doc
+ env ASSUME_ALWAYS_YES=1 pkg -c ${BSDINSTALL_CHROOT} install ${i}-freebsd-doc \
+ || error $i-freebsd-doc
done